# -*- coding: utf-8 -*-
# Generated by Django 1.11.17 on 2021-07-30 14:26
from __future__ import unicode_literals

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('reports', '0004_servicechangestatuslog'),
    ]

    operations = [
        migrations.CreateModel(
            name='Report',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, null=True, verbose_name='name')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('base_model', models.PositiveSmallIntegerField(choices=[(1, 'Clientes'), (2, 'Servicios'), (3, 'Pagos'), (4, 'Boletas')], null=True, verbose_name='base_model')),
                ('selected_columns', django.contrib.postgres.fields.jsonb.JSONField(null=True, verbose_name='selected_columns')),
                ('selected_filters', django.contrib.postgres.fields.jsonb.JSONField(null=True, verbose_name='selected_filters')),
                ('python_code', models.TextField(blank=True, null=True, verbose_name='python_code')),
            ],
        ),
    ]
